apiVersion: batch/v1beta1
kind: CronJob
metadata:
  labels:
    app.cvcloud.io/name: image-cache
  name: general-machine-images
  namespace: cks-system
spec:
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 5
  jobTemplate:
    spec:
      backoffLimit: 1
      completions: 1
      parallelism: 1 # spec.downloadSettings.concurrent
      template:
        metadata:
          annotations:
            kubernetes.io/egress-bandwidth: 1M # spec.downloadSettings.bandwidth
          labels:
            app.cvcloud.io/name: image-cache
        spec:
          affinity:
            nodeAffinity:
              requiredDuringSchedulingIgnoredDuringExecution:
                nodeSelectorTerms:
                  - matchExpressions:
                      - key: cvcloud/nodePool
                        operator: In
                        values:
                          - ready
          containers:
            - name: fullbackup-container
              image: registry.gitlab.com/kindaicvlab/backup:latest
              imagePullPolicy: Always
              resources:
                limits:
                  cpu: "1"
                  memory: 8Gi
          restartPolicy: Never
          securityContext:
            runAsNonRoot: true
            runAsUser: 1000
  schedule: '*/15 * * * *' # .spec.downloadSettings.checkInterval
  startingDeadlineSeconds: 300
  successfulJobsHistoryLimit: 5
  suspend: false
